/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package project;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.plaf.basic.BasicBorders;

/**
 *
 * @author HP VICTUS
 */
public class frame extends javax.swing.JFrame {
    
    public frame() {
        initComponents();
        this.setLocationRelativeTo(null);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        groupFilm = new javax.swing.ButtonGroup();
        groupJadwal = new javax.swing.ButtonGroup();
        groupPembyr = new javax.swing.ButtonGroup();
        lblCinema = new javax.swing.JLabel();
        lblTayang = new javax.swing.JLabel();
        film1 = new javax.swing.JCheckBox();
        rbtnFilm1A = new javax.swing.JRadioButton();
        rbntFilm1B = new javax.swing.JRadioButton();
        rbntFilm1C = new javax.swing.JRadioButton();
        film2 = new javax.swing.JCheckBox();
        rbtnFilm2A = new javax.swing.JRadioButton();
        rbtnFilm2B = new javax.swing.JRadioButton();
        rbtnFilm2C = new javax.swing.JRadioButton();
        lblTiket = new javax.swing.JLabel();
        txtTiket1 = new javax.swing.JTextField();
        txtTiket2 = new javax.swing.JTextField();
        lblMetodePem = new javax.swing.JLabel();
        uangTunai = new javax.swing.JRadioButton();
        debitMandiri = new javax.swing.JRadioButton();
        ovo = new javax.swing.JRadioButton();
        qris = new javax.swing.JRadioButton();
        jRadioButton1 = new javax.swing.JRadioButton();
        gmbrFilm1 = new javax.swing.JLabel();
        gmbrFilm2 = new javax.swing.JLabel();
        lblPembyr = new javax.swing.JLabel();
        lblTotal = new javax.swing.JLabel();
        txtTotal = new javax.swing.JTextField();
        lblBayar = new javax.swing.JLabel();
        txtBayar = new javax.swing.JTextField();
        btnTotal = new javax.swing.JButton();
        btnReset = new javax.swing.JButton();
        btnBayar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("E-Tix");

        lblCinema.setFont(new java.awt.Font("Segoe UI", 3, 12)); // NOI18N
        lblCinema.setText("CINEMA XXI");

        lblTayang.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        lblTayang.setText("TAYANG SEKARANG");

        groupFilm.add(film1);
        film1.setText("TO CATCH A KILLER");
        film1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                film1ActionPerformed(evt);
            }
        });

        groupJadwal.add(rbtnFilm1A);
        rbtnFilm1A.setText("13:00");
        rbtnFilm1A.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rbtnFilm1AActionPerformed(evt);
            }
        });

        groupJadwal.add(rbntFilm1B);
        rbntFilm1B.setText("14:30");
        rbntFilm1B.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rbntFilm1BActionPerformed(evt);
            }
        });

        groupJadwal.add(rbntFilm1C);
        rbntFilm1C.setText("15:45");

        groupFilm.add(film2);
        film2.setText("THE CREATOR");
        film2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                film2ActionPerformed(evt);
            }
        });

        groupJadwal.add(rbtnFilm2A);
        rbtnFilm2A.setText("13:00");
        rbtnFilm2A.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rbtnFilm2AActionPerformed(evt);
            }
        });

        groupJadwal.add(rbtnFilm2B);
        rbtnFilm2B.setText("14:30");
        rbtnFilm2B.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rbtnFilm2BActionPerformed(evt);
            }
        });

        groupJadwal.add(rbtnFilm2C);
        rbtnFilm2C.setText("15:45");

        lblTiket.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        lblTiket.setText("TIKET");

        txtTiket1.setText("0");

        txtTiket2.setText("0");

        lblMetodePem.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        lblMetodePem.setText("METODE PEMBAYARAN");

        groupPembyr.add(uangTunai);
        uangTunai.setText("Uang Tunai");
        uangTunai.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                uangTunaiActionPerformed(evt);
            }
        });

        groupPembyr.add(debitMandiri);
        debitMandiri.setText("Debit Mandiri");
        debitMandiri.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                debitMandiriActionPerformed(evt);
            }
        });

        groupPembyr.add(ovo);
        ovo.setText("OVO");
        ovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ovoActionPerformed(evt);
            }
        });

        groupPembyr.add(qris);
        qris.setText("QRIS");

        groupPembyr.add(jRadioButton1);
        jRadioButton1.setText("Debit BCA");
        jRadioButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButton1ActionPerformed(evt);
            }
        });

        gmbrFilm1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/project/5.jpg"))); // NOI18N
        gmbrFilm1.setOpaque(true);
        gmbrFilm1.setPreferredSize(new java.awt.Dimension(120, 176));
        gmbrFilm1.setRequestFocusEnabled(false);

        gmbrFilm2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/project/4.jpg"))); // NOI18N
        gmbrFilm2.setOpaque(true);
        gmbrFilm2.setPreferredSize(new java.awt.Dimension(120, 176));
        gmbrFilm2.setRequestFocusEnabled(false);

        lblPembyr.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        lblPembyr.setText("PEMBAYARAN");

        lblTotal.setText("Total");

        txtTotal.setText("Rp");
        txtTotal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtTotalActionPerformed(evt);
            }
        });

        lblBayar.setText("Bayar");

        txtBayar.setText("Rp ");
        txtBayar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtBayarActionPerformed(evt);
            }
        });

        btnTotal.setText("Total");
        btnTotal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnTotalActionPerformed(evt);
            }
        });

        btnReset.setText("Reset");
        btnReset.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnResetActionPerformed(evt);
            }
        });

        btnBayar.setText("Bayar");
        btnBayar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBayarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(lblTayang, javax.swing.GroupLayout.PREFERRED_SIZE, 186, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(film1, javax.swing.GroupLayout.PREFERRED_SIZE, 186, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addComponent(rbtnFilm1A, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(rbntFilm1B, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(rbntFilm1C, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .addComponent(film2, javax.swing.GroupLayout.PREFERRED_SIZE, 186, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(21, 21, 21)
                                .addComponent(rbtnFilm2A, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(rbtnFilm2B, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(rbtnFilm2C, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                        .addGap(68, 68, 68)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(txtTiket2, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtTiket1, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblTiket, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(53, 53, 53)
                        .addComponent(gmbrFilm2, javax.swing.GroupLayout.PREFERRED_SIZE, 105, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(49, 49, 49)
                        .addComponent(gmbrFilm1, javax.swing.GroupLayout.PREFERRED_SIZE, 105, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addComponent(lblMetodePem, javax.swing.GroupLayout.PREFERRED_SIZE, 186, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(124, 124, 124)
                        .addComponent(lblPembyr))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(381, 381, 381)
                        .addComponent(btnTotal)
                        .addGap(6, 6, 6)
                        .addComponent(btnReset)
                        .addGap(6, 6, 6)
                        .addComponent(btnBayar))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(uangTunai)
                                .addGap(20, 20, 20)
                                .addComponent(ovo)
                                .addGap(28, 28, 28)
                                .addComponent(qris, javax.swing.GroupLayout.PREFERRED_SIZE, 98, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(33, 33, 33)
                                .addComponent(lblTotal, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(debitMandiri, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jRadioButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(117, 117, 117)
                                .addComponent(lblBayar)))
                        .addGap(35, 35, 35)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(txtBayar, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtTotal, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGap(36, 36, 36))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(lblCinema, javax.swing.GroupLayout.PREFERRED_SIZE, 81, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(275, 275, 275))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(lblCinema)
                .addGap(32, 32, 32)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(lblTayang)
                        .addGap(13, 13, 13)
                        .addComponent(film1)
                        .addGap(12, 12, 12)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(rbtnFilm1A)
                            .addComponent(rbntFilm1B)
                            .addComponent(rbntFilm1C))
                        .addGap(22, 22, 22)
                        .addComponent(film2)
                        .addGap(11, 11, 11)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(rbtnFilm2A)
                            .addComponent(rbtnFilm2B)
                            .addComponent(rbtnFilm2C)))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(lblTiket)
                        .addGap(30, 30, 30)
                        .addComponent(txtTiket2, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(53, 53, 53)
                        .addComponent(txtTiket1, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(7, 7, 7)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(gmbrFilm2, javax.swing.GroupLayout.PREFERRED_SIZE, 154, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(gmbrFilm1, javax.swing.GroupLayout.PREFERRED_SIZE, 154, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(21, 21, 21)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(lblMetodePem)
                                    .addComponent(lblPembyr))
                                .addGap(6, 6, 6)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(txtTotal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(1, 1, 1)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(uangTunai)
                                            .addComponent(ovo)
                                            .addComponent(qris)))))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(46, 46, 46)
                                .addComponent(lblTotal)))
                        .addGap(7, 7, 7)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(txtBayar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(1, 1, 1)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(debitMandiri)
                                    .addComponent(jRadioButton1)))))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(75, 75, 75)
                        .addComponent(lblBayar)))
                .addGap(6, 6, 6)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(btnTotal)
                    .addComponent(btnReset)
                    .addComponent(btnBayar))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void film1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_film1ActionPerformed
        
    }//GEN-LAST:event_film1ActionPerformed

    private void rbtnFilm1AActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rbtnFilm1AActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rbtnFilm1AActionPerformed

    private void rbntFilm1BActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rbntFilm1BActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rbntFilm1BActionPerformed

    private void film2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_film2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_film2ActionPerformed

    private void rbtnFilm2AActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rbtnFilm2AActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rbtnFilm2AActionPerformed

    private void rbtnFilm2BActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rbtnFilm2BActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rbtnFilm2BActionPerformed

    private void uangTunaiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_uangTunaiActionPerformed

    }//GEN-LAST:event_uangTunaiActionPerformed

    private void debitMandiriActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_debitMandiriActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_debitMandiriActionPerformed

    private void ovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ovoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_ovoActionPerformed

    private void jRadioButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jRadioButton1ActionPerformed

    private void txtTotalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtTotalActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtTotalActionPerformed

    private void btnTotalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnTotalActionPerformed
      int hargaTiket1 = 45000;
      int hargaTiket2 = 45000;
      
      int tiket1 = Integer.parseInt(txtTiket1.getText());
      int tiket2 = Integer.parseInt(txtTiket2.getText());
      
      int harga = (hargaTiket1 * tiket1) + (hargaTiket2 * tiket2);
      txtTotal.setText("Rp " + harga);
    }//GEN-LAST:event_btnTotalActionPerformed

    private void btnResetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnResetActionPerformed
        txtTiket1.setText("");
        txtTiket2.setText("");
        txtTotal.setText("");
        txtBayar.setText("");
    }//GEN-LAST:event_btnResetActionPerformed

    private void btnBayarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBayarActionPerformed

        int totalHarga = Integer.parseInt(txtTotal.getText().replace("Rp ", ""));
        int totalBayar = Integer.parseInt(txtBayar.getText().replace("Rp ", ""));
        
        if (totalBayar < totalHarga) {
            JOptionPane.showMessageDialog(this, "Pembayaran Gagal", "Pembayaran Gagal", JOptionPane.ERROR_MESSAGE);
        } else {
            JOptionPane.showMessageDialog(this, "Pembayaran Berhasil");
        }
    }//GEN-LAST:event_btnBayarActionPerformed

    private void txtBayarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtBayarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtBayarActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
       //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(frame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(frame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(frame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(frame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new frame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnBayar;
    private javax.swing.JButton btnReset;
    private javax.swing.JButton btnTotal;
    private javax.swing.JRadioButton debitMandiri;
    private javax.swing.JCheckBox film1;
    private javax.swing.JCheckBox film2;
    private javax.swing.JLabel gmbrFilm1;
    private javax.swing.JLabel gmbrFilm2;
    private javax.swing.ButtonGroup groupFilm;
    private javax.swing.ButtonGroup groupJadwal;
    private javax.swing.ButtonGroup groupPembyr;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JLabel lblBayar;
    private javax.swing.JLabel lblCinema;
    private javax.swing.JLabel lblMetodePem;
    private javax.swing.JLabel lblPembyr;
    private javax.swing.JLabel lblTayang;
    private javax.swing.JLabel lblTiket;
    private javax.swing.JLabel lblTotal;
    private javax.swing.JRadioButton ovo;
    private javax.swing.JRadioButton qris;
    private javax.swing.JRadioButton rbntFilm1B;
    private javax.swing.JRadioButton rbntFilm1C;
    private javax.swing.JRadioButton rbtnFilm1A;
    private javax.swing.JRadioButton rbtnFilm2A;
    private javax.swing.JRadioButton rbtnFilm2B;
    private javax.swing.JRadioButton rbtnFilm2C;
    private javax.swing.JTextField txtBayar;
    private javax.swing.JTextField txtTiket1;
    private javax.swing.JTextField txtTiket2;
    private javax.swing.JTextField txtTotal;
    private javax.swing.JRadioButton uangTunai;
    // End of variables declaration//GEN-END:variables
}
